org.apache.cassandra.schema

## Class Triggers

- java.lang.Object
- - org.apache.cassandra.schema.Triggers

All Implemented Interfaces:
  java.lang.Iterable<TriggerMetadata>

    public final class Triggers
    extends java.lang.Object
    implements java.lang.Iterable<TriggerMetadata>

### Nested Class Summary

Nested Classes
`static class` `Triggers.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Triggers.Builder` `builder()`
`boolean` `equals(java.lang.Object o)`
`java.util.Optional<TriggerMetadata>` `get(java.lang.String name)` Get the trigger with the specified name
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Iterator<TriggerMetadata>` `iterator()`
`static Triggers` `none()`
`int` `size()`
`java.lang.String` `toString()`
`Triggers` `with(TriggerMetadata trigger)` Create a Triggers instance with the provided trigger added
`Triggers` `without(java.lang.String name)` Creates a Triggers instance with the trigger with the provided name removed

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### builder

    public static Triggers.Builder builder()

#### none

    public static Triggers none()

#### iterator

    public java.util.Iterator<TriggerMetadata> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<TriggerMetadata>`

#### size

    public int size()

#### isEmpty

    public boolean isEmpty()

#### get

    public java.util.Optional<TriggerMetadata> get(java.lang.String name)

Get the trigger with the specified name

Parameters:
  `name` - a non-qualified trigger name
Returns:
  an empty `Optional` if the trigger name is not found; a non-empty optional of `TriggerMetadata` otherwise

#### with

    public Triggers with(TriggerMetadata trigger)

Create a Triggers instance with the provided trigger added

#### without

    public Triggers without(java.lang.String name)

Creates a Triggers instance with the trigger with the provided name removed

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`